Create a contract
const url = 'https://apisandbox.puurk.com/contracts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","lead_id":"example","lead_name":"example","offer_id":"example","uid":"example","oid":"example","organization_name":"example","location_id":"example","provider_id":"example","provider_name":"example","providers":["example"],"superseded_contract_id":"example","superseded_at":"2026-04-15T12:00:00Z","title":"example","terms":{"offer_id":"example","uid":"example","down_payment":1,"financed_amount":1,"provider_premium_share":1,"term_length":1,"monthly_premium":1,"monthly_provider_premium":1,"monthly_puurk_premium":1,"monthly_principal":1,"monthly_fees":1,"monthly_payout_fees":1,"monthly_provider_fees":1,"monthly_payment":1,"monthly_opportunity":1,"total_amount":1,"total_premium":1,"total_provider_premium":1,"total_puurk_premium":1,"total_principal":1,"total_fees":1,"total_payout_fees":1,"total_provider_fees":1,"total_opportunity":1},"file_name":"example","signature":"example","signed_at":"2026-04-15T12:00:00Z","signed_ip_address":"example","esign_opt_out":true,"status":"pending","payoff_balance":1,"total_paid":1,"created_at":"2026-04-15T12:00:00Z","premium_earned":1,"fulfilled_at":"2026-04-15T12:00:00Z","service_ids":["example"],"services":[{"service_id":"example","service_name":"example","original_quantity":1,"quantity":1,"remaining_quantity":1,"amount":1,"merge_contract_id":"example"}],"notes":"example","sold_by":"example","tax_total":1,"plan_number":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://apisandbox.puurk.com/contracts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "lead_id": "example", "lead_name": "example", "offer_id": "example", "uid": "example", "oid": "example", "organization_name": "example", "location_id": "example", "provider_id": "example", "provider_name": "example", "providers": [ "example" ], "superseded_contract_id": "example", "superseded_at": "2026-04-15T12:00:00Z", "title": "example", "terms": { "offer_id": "example", "uid": "example", "down_payment": 1, "financed_amount": 1, "provider_premium_share": 1, "term_length": 1, "monthly_premium": 1, "monthly_provider_premium": 1, "monthly_puurk_premium": 1, "monthly_principal": 1, "monthly_fees": 1, "monthly_payout_fees": 1, "monthly_provider_fees": 1, "monthly_payment": 1, "monthly_opportunity": 1, "total_amount": 1, "total_premium": 1, "total_provider_premium": 1, "total_puurk_premium": 1, "total_principal": 1, "total_fees": 1, "total_payout_fees": 1, "total_provider_fees": 1, "total_opportunity": 1 }, "file_name": "example", "signature": "example", "signed_at": "2026-04-15T12:00:00Z", "signed_ip_address": "example", "esign_opt_out": true, "status": "pending", "payoff_balance": 1, "total_paid": 1, "created_at": "2026-04-15T12:00:00Z", "premium_earned": 1, "fulfilled_at": "2026-04-15T12:00:00Z", "service_ids": [ "example" ], "services": [ { "service_id": "example", "service_name": "example", "original_quantity": 1, "quantity": 1, "remaining_quantity": 1, "amount": 1, "merge_contract_id": "example" } ], "notes": "example", "sold_by": "example", "tax_total": 1, "plan_number": 1 }'Create a new contract
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Contract object to create
object
Unique identifier
Lead ID
Lead name
Offer ID
User ID
Organization ID
Organization name
Location ID
Provider ID
Provider name
List of provider IDs
ID of the contract this supersedes
Date when superseded
Contract title
object
Offer these terms belong to
User the terms were generated for
Down payment in cents
Amount financed in cents
Provider’s share of the premium as a fraction between 0 and 1
Plan length in months
Premium charged per month in cents
Provider share of the monthly premium in cents
Puurk share of the monthly premium in cents
Principal per month in cents
Fees included in each monthly payment in cents
Payout fees per month in cents
Provider fees per month in cents
Monthly payment in cents
Monthly opportunity for the provider in cents
Total paid over the plan in cents
Total premium over the plan in cents
Provider share of the total premium in cents
Puurk share of the total premium in cents
Total principal (down payment plus financed amount) in cents
Total fees over the plan in cents
Total payout fees over the plan in cents
Total provider fees over the plan in cents
Total opportunity for the provider in cents
Contract file name
Signature data
Date when signed
IP address at signing
Whether e-sign was opted out
Status of the contract
Remaining payoff balance
Total amount paid
Creation date
Premium earned
Date when fulfilled
List of service IDs
Services in the contract
object
Service ID
Service name
Original quantity
Current quantity
Remaining quantity
Amount
Merge contract ID
Additional notes
User who sold the contract
Total tax
Plan number
Responses
Section titled “Responses”Contract created
object
Unique identifier
Lead ID
Lead name
Offer ID
User ID
Organization ID
Organization name
Location ID
Provider ID
Provider name
List of provider IDs
ID of the contract this supersedes
Date when superseded
Contract title
object
Offer these terms belong to
User the terms were generated for
Down payment in cents
Amount financed in cents
Provider’s share of the premium as a fraction between 0 and 1
Plan length in months
Premium charged per month in cents
Provider share of the monthly premium in cents
Puurk share of the monthly premium in cents
Principal per month in cents
Fees included in each monthly payment in cents
Payout fees per month in cents
Provider fees per month in cents
Monthly payment in cents
Monthly opportunity for the provider in cents
Total paid over the plan in cents
Total premium over the plan in cents
Provider share of the total premium in cents
Puurk share of the total premium in cents
Total principal (down payment plus financed amount) in cents
Total fees over the plan in cents
Total payout fees over the plan in cents
Total provider fees over the plan in cents
Total opportunity for the provider in cents
Contract file name
Signature data
Date when signed
IP address at signing
Whether e-sign was opted out
Status of the contract
Remaining payoff balance
Total amount paid
Creation date
Premium earned
Date when fulfilled
List of service IDs
Services in the contract
object
Service ID
Service name
Original quantity
Current quantity
Remaining quantity
Amount
Merge contract ID
Additional notes
User who sold the contract
Total tax
Plan number
Example
{ "status": "pending"}Invalid input
Unauthorized